package com.qiuguo.iot.data.resp.user;
import com.qiuguo.iot.data.entity.user.UserHandlingDeviceEntity;
import lombok.Data;
import java.util.Date;
/**
* <p>
* </p>*返回类
* @author wulin
* @since 2023-09-25
*/

@Data
public class UserHandlingDeviceResp {
    public UserHandlingDeviceResp(){
    }
    public UserHandlingDeviceResp(UserHandlingDeviceEntity entity){
        id = entity.getId();
        code = entity.getCode();
        value = entity.getValue();
        type = entity.getType();
        max = entity.getMax();
        min = entity.getMin();
        step = entity.getStep();
        matchingFields = entity.getMatchingFields();
        categoryCode = entity.getCategoryCode();
        categoryName = entity.getCategoryName();
        createTime = entity.getCreateTime();
        modifyTime = entity.getModifyTime();
    }

    //
    private Long id;
    //字段名
    private String code;
    //值
    private String value;
    //数据类型
    private String type;
    //最大值
    private Integer max;
    //最小值
    private Integer min;
    //步长
    private Integer step;
    //匹配字段
    private String matchingFields;
    //分类字段名称
    private String categoryCode;
    //分类名称
    private String categoryName;
    //
    private Date createTime;
    //
    private Date modifyTime;
}